Name: guilt
Version: 0.31.2
Release: alt2
BuildArch: noarch

Summary: quilt on top of git
License: GPLv2
Group: Development/Other
Url: http://www.kernel.org/pub/linux/kernel/people/jsipek/guilt/man/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# http://git.altlinux.org/people/ldv/packages/?p=guilt.git
Source: %name-%version-%release.tar

BuildRequires: asciidoc python-modules-encodings xmlto
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:BuildRequires: git-core}}}

%description
Andrew Morton originally developed a set of scripts for maintaining
kernel patches outside of any SCM tool.  Others extended these into a
suite called quilt.  The basic idea behind quilt is to maintain patches
instead of maintaining source files.  Patches can be added, removed or
reordered, and they can be refreshed as you fix bugs or update to a new
base revision.  quilt is very powerful, but it is not integrated with the
underlying SCM tools.  This makes it difficult to visualize your changes.

Guilt allows one to use quilt functionality on top of a Git repository.
Changes are maintained as patches which are committed into Git.
Commits can be removed or reordered, and the underlying patch can be
refreshed based on changes made in the working directory.  The patch
directory can also be placed under revision control, so you can have a
separate history of changes made to your patches.

%prep
%setup -n %name-%version-%release

%build
%make_build doc VERSION=%version
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:make -k test}}}

%install
%make_install install install-doc \
	DESTDIR=%buildroot PREFIX=%prefix mandir=%_mandir

%files
%_bindir/*
%_mandir/man*/*
%doc Documentation/HOWTO

%changelog
* Tue Oct 28 2008 Dmitry V. Levin <ldv@altlinux.org> 0.31.2-alt2
- Updated for fresh git.

* Wed Oct 15 2008 Dmitry V. Levin <ldv@altlinux.org> 0.31.2-alt1
- Updated to 0.31.2.

* Thu Aug 02 2007 Alex V. Myltsev <avm@altlinux.ru> 0.27-alt1
- Initial build for Sisyphus.

